Bug 150 - В файле /etc/inid.d/fetchmail UID>500, а должен быть UID>=500
: В файле /etc/inid.d/fetchmail UID>500, а должен быть UID>=500
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fetchmail-daemon)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-11-11 20:04 by
Modified: 2005-08-30 03:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-11-11 20:04:01
--- fetchmail~  Tue Mar 13 11:50:42 2001
+++ fetchmail   Sun Nov 11 19:37:03 2001
@@ -16,7 +16,7 @@
 # Check that fetchmailrc exists.
 [ -x /usr/bin/fetchmail ] || exit
 
-NON_SYSTEM_USERS=`awk -F: \'{if ($3>500) print $1}\' </etc/passwd`
+NON_SYSTEM_USERS=`awk -F: \'{if ($3>=500) print $1}\' </etc/passwd`
 LOCKFILE=/var/lock/subsys/fetchmail
 RETVAL=0
 
</textarea>
		</td>
	</tr>
	<tr>
		<td align=center bgcolor=#c8c8e8>
			<b>Steps To Reproduce</b>
		&lt;/td&gt;
		&lt;td colspan=5 bgcolor=#d8d8d8&gt;
			&lt;textarea cols=60 rows=5 name=f_steps_to_reproduce wrap=\&quot;virtual\&quot;&gt;
---

---

------- Comment #1 From 2001-12-17 10:59:45 -------
solution will be like that:

UID_MIN=`grep -s ^UID_MIN /etc/login.defs |head -1 |awk \'{print $2}\'`
[ -n \&quot;$UID_MIN\&quot; ] || UID_MIN=500
NON_SYSTEM_USERS=`awk -F: -v \&quot;uid_min=$UID_MIN\&quot; \'{if ($3&gt;=uid_min) print $1}\' &lt;/etc/passwd`

Another problem (#0000220) delays closing of this bug.
------- Comment #2 From 2001-12-17 10:59:45 -------
solution will be like that:

UID_MIN=`grep -s ^UID_MIN /etc/login.defs |head -1 |awk \'{print $2}\'`
[ -n \&quot;$UID_MIN\&quot; ] || UID_MIN=500
NON_SYSTEM_USERS=`awk -F: -v \&quot;uid_min=$UID_MIN\&quot; \'{if ($3&gt;=uid_min) print $1}\' &lt;/etc/passwd`

Another problem (#0000220) delays closing of this bug.
------- Comment #3 From 2002-05-02 22:31:02 -------
If a well-thought-out solution needs to be postponed for so much,
maybe we\'d better get by with a quick fix which solves the problem at hand?
------- Comment #4 From 2002-05-02 22:31:02 -------
If a well-thought-out solution needs to be postponed for so much,
maybe we\'d better get by with a quick fix which solves the problem at hand?
------- Comment #5 From 2002-06-05 04:00:58 -------
Fixed in 5.9.12-alt1
------- Comment #6 From 2002-06-05 04:00:58 -------
Fixed in 5.9.12-alt1